Index: trunk/kernel/obj.tsar/ksh/cd.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/cd.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/cd.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/ksh/cd.o: ksh/cd.c ksh/kminiShell.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h
Index: trunk/kernel/obj.tsar/ksh/clear.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/clear.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/clear.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/clear.o: ksh/clear.c ksh/kminiShell.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h arch/tsar/arch.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h
Index: trunk/kernel/obj.tsar/ksh/cp.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/cp.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/cp.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/ksh/cp.o: ksh/cp.c libk/string.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/eomtkp.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/eomtkp.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/eomtkp.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/eomtkp.o: ksh/eomtkp.c kern/cpu.h libk/utils.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h ksh/kminiShell.h vfs/vfs.h \
+ kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h ksh/sgiImg.h kern/sys-vfs.h
Index: trunk/kernel/obj.tsar/ksh/error.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/error.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/error.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/error.o: ksh/error.c kern/system.h kern/hal-arch.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h ksh/kminiShell.h vfs/vfs.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h
Index: trunk/kernel/obj.tsar/ksh/exec_func.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/exec_func.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/exec_func.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/ksh/exec_func.o: ksh/exec_func.c libk/stdint.h kern/thread.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/instrument.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/instrument.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/instrument.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/ksh/instrument.o: ksh/instrument.c fs/fat32/fat32.h mm/kmem.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h mm/kcm.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h fs/fat32/fat32-private.h \
+ ksh/kminiShell.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ mm/mapper.h kern/radix.h kern/ku_transfert.h fs/devfs/devfs.h \
+ kern/htable.h
Index: trunk/kernel/obj.tsar/ksh/kill.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/kill.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/kill.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/ksh/kill.o: ksh/kill.c ksh/kminiShell.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/thread.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/ksh/ksh_cpu_state.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/ksh_cpu_state.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/ksh_cpu_state.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/ksh/ksh_cpu_state.o: ksh/ksh_cpu_state.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h ksh/kminiShell.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/stdint.h arch/tsar/arch.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/thread.h \
+ kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h kern/keysdb.h kern/signal.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h
Index: trunk/kernel/obj.tsar/ksh/ksh_set_tty.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/ksh_set_tty.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/ksh_set_tty.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/ksh_set_tty.o: ksh/ksh_set_tty.c ksh/kminiShell.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h arch/tsar/arch.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h
Index: trunk/kernel/obj.tsar/ksh/ls.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/ls.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/ls.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/ls.o: ksh/ls.c libk/stdint.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h kern/atomic.h \
+ kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/miniShell.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/miniShell.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/miniShell.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/ksh/miniShell.o: ksh/miniShell.c kern/system.h kern/hal-arch.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h libk/string.h vfs/vfs.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/thread.h \
+ ksh/kminiShell.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/ksh/miniShellIo.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/miniShellIo.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/miniShellIo.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/ksh/miniShellIo.o: ksh/miniShellIo.c libk/ctype.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/libk.h \
+ libk/string.h kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h kern/sys-vfs.h vfs/vfs.h \
+ kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/mkdir_func.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/mkdir_func.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/mkdir_func.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/mkdir_func.o: ksh/mkdir_func.c libk/stdint.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/mkfifo_func.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/mkfifo_func.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/mkfifo_func.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/mkfifo_func.o: ksh/mkfifo_func.c libk/stdint.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/ppm_func.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/ppm_func.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/ppm_func.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/ksh/ppm_func.o: ksh/ppm_func.c ksh/kminiShell.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h arch/tsar/arch.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ libk/list.h kern/kmagics.h kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h mm/ppm.h mm/page.h \
+ kern/thread.h kern/cluster.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/ksh/ps.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/ps.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/ps.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/ksh/ps.o: ksh/ps.c libk/list.h kern/kmagics.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h kern/thread.h libk/types.h libk/stdint.h \
+ kern/spinlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/pid.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/ksh/pwd_func.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/pwd_func.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/pwd_func.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/pwd_func.o: ksh/pwd_func.c libk/stdint.h vfs/vfs.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h \
+ kern/kdmsg.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/ksh/rm.d
===================================================================
--- trunk/kernel/obj.tsar/ksh/rm.d	(revision 1)
+++ trunk/kernel/obj.tsar/ksh/rm.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/ksh/rm.o: ksh/rm.c libk/stdint.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h kern/atomic.h \
+ kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ ksh/kminiShell.h
Index: trunk/kernel/obj.tsar/libk/atoi.d
===================================================================
--- trunk/kernel/obj.tsar/libk/atoi.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/atoi.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/atoi.o: libk/atoi.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/ctype.h
Index: trunk/kernel/obj.tsar/libk/bits.d
===================================================================
--- trunk/kernel/obj.tsar/libk/bits.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/bits.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/libk/bits.o: libk/bits.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/bits.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/libk/ctype.d
===================================================================
--- trunk/kernel/obj.tsar/libk/ctype.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/ctype.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/ctype.o: libk/ctype.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h
Index: trunk/kernel/obj.tsar/libk/elf.d
===================================================================
--- trunk/kernel/obj.tsar/libk/elf.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/elf.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/libk/elf.o: libk/elf.c libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ kern/system.h kern/hal-arch.h libk/types.h libk/stdint.h \
+ arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h kern/thread.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h mm/ppm.h \
+ libk/elf.h
Index: trunk/kernel/obj.tsar/libk/iprintk.d
===================================================================
--- trunk/kernel/obj.tsar/libk/iprintk.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/iprintk.d	(revision 1)
@@ -0,0 +1,5 @@
+obj.tsar/libk/iprintk.o: libk/iprintk.c kern/remote_access.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h \
+ cpu/mipsel/cpu-remote.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ libk/libk.h libk/string.h libk/ctype.h
Index: trunk/kernel/obj.tsar/libk/md5.d
===================================================================
--- trunk/kernel/obj.tsar/libk/md5.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/md5.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/md5.o: libk/md5.c libk/md5.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/string.h
Index: trunk/kernel/obj.tsar/libk/memcpy.d
===================================================================
--- trunk/kernel/obj.tsar/libk/memcpy.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/memcpy.d	(revision 1)
@@ -0,0 +1,10 @@
+obj.tsar/libk/memcpy.o: libk/memcpy.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/libk/memset.d
===================================================================
--- trunk/kernel/obj.tsar/libk/memset.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/memset.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/libk/memset.o: libk/memset.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/libk/rand.d
===================================================================
--- trunk/kernel/obj.tsar/libk/rand.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/rand.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/libk/rand.o: libk/rand.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/thread.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/libk/rbtree.d
===================================================================
--- trunk/kernel/obj.tsar/libk/rbtree.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/rbtree.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/rbtree.o: libk/rbtree.c libk/rbtree.h libk/list.h \
+ kern/kmagics.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h
Index: trunk/kernel/obj.tsar/libk/sprintk.d
===================================================================
--- trunk/kernel/obj.tsar/libk/sprintk.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/sprintk.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/libk/sprintk.o: libk/sprintk.c kern/thread.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/libk/strchr.d
===================================================================
--- trunk/kernel/obj.tsar/libk/strchr.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/strchr.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/strchr.o: libk/strchr.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h
